---
title: Text()
slug: Web/API/Text/Text
tags:
  - API
  - Constructor
  - DOM
  - Experimental
  - Reference
  - Text
---
<div>{{ Apiref("DOM")}}{{seeCompatTable}}</div>

<p>The <code><strong>Text()</strong></code> constructor returns a newly created {{domxref("Text")}} object with the optional {{domxref("DOMString")}} given in parameter as its textual content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>text1</em> = new Text(); // Create an empty text node
<em>text2</em> = new Text("This is a text node");
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"><code class="language-js">let text <span class="operator token">=</span> new Text<span class="function token"><span class="punctuation token">("Test"</span></span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-text-text', 'Text()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Text.Text")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index.</a></li>
</ul>
